"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDD8A0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDD940>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDD9E0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDA80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDB20>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDBC0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDC60>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDD00>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDDA0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDE40>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDEE0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDDF80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE020>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE0C0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE160>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE200>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE2A0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE340>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE3E0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE480>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE520>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE5C0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE660>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE700>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE7A0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE840>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE8E0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDE980>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEA20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEAC0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEB60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEC00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDECA0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDED40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEDE0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEE80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEF20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDEFC0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF060>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF100>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF1A0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF240>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF2E0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF380>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF420>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF4C0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF560>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF600>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF6A0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF740>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF7E0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF880>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF920>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDF9C0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFA60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFB00>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFBA0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFC40>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFCE0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFD80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFE20>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFEC0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCDFF60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC040>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC0E0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC180>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC220>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC2C0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC360>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC400>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC4A0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC540>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC5E0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC680>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC720>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC7C0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC860>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC900>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFC9A0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFCA40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFCB80>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFCAE0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFCC20>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFCCC0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000010AFBCFCD60>)]
name: str = 'fr_HOCCN'
